petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMSNESSetBoundaryLocal

set a local boundary value function. This function is called with local vector containing the local vector information PLUS ghost point information. It should insert values into the local vector that do not come from the global vector, such as essential boundary condition data.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSNESSetBoundaryLocal(DM dm,PetscErrorCode (*func)(DM,Vec,void*),void *ctx)

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local boundary value evaluation
| ctx | - optional context for local boundary value evaluation

### See Also

DMSNESSetFunctionLocal(), DMDASNESSetJacobianLocal()

Level:intermediate
Location:src/snes/utils/dmlocalsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages